aboutsummaryrefslogtreecommitdiff
path: root/subprojects/spdx
diff options
context:
space:
mode:
Diffstat (limited to 'subprojects/spdx')
-rw-r--r--subprojects/spdx/ISSUES19
-rwxr-xr-xsubprojects/spdx/err108
-rwxr-xr-xsubprojects/spdx/spdx81
3 files changed, 0 insertions, 208 deletions
diff --git a/subprojects/spdx/ISSUES b/subprojects/spdx/ISSUES
deleted file mode 100644
index 88851d6..0000000
--- a/subprojects/spdx/ISSUES
+++ /dev/null
@@ -1,19 +0,0 @@
-#############################
-
-https://github.com/spdx/spdx-spec/issues/93
-
-Add false "isFsfLibre" value
-
-
-https://github.com/spdx/spdx-spec/issues/46#issuecomment-413778513
-
-In reviewing https://www.gnu.org/licenses/license-list.html, the FSF specifies "Free and Compatible with GPL", "Free and Incompatible with GPL" and "non-free". Do we need to capture all of these states? If so, do we want a second boolean ("FsfGplCompatible")? We could always implement a second boolean in the future.
-
-The Code for the left border at https://www.gnu.org/licenses/license-list.html defines five properties:
-
- Free licenses, compatible with the GNU GPL
- Free licenses, compatible with the FDL
- Free licenses, incompatible with the GNU GPL and FDL
- Nonfree licenses
- Licenses for works stating a viewpoint
-
diff --git a/subprojects/spdx/err b/subprojects/spdx/err
deleted file mode 100755
index 4a68f0a..0000000
--- a/subprojects/spdx/err
+++ /dev/null
@@ -1,108 +0,0 @@
-#!/bin/bash
-# Copyright 2018 Ian Kelling
-
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-
-# http://www.apache.org/licenses/LICENSE-2.0
-
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-
-# Commentary: Bash stack trace and error handling functions. This file
-# is meant to be sourced. It loads some functions which you may want to
-# call manually (see the comments at the start of each one), and then
-# runs err-catch. See the README file for a slightly longer explanation.
-
-err-allow() {
- # help: turn off exit and stack trace on error. undoes err-catch
- set +E +o pipefail; trap ERR
-}
-
-err-bash-trace() {
- # help: print stack trace
- #
- # Note: It does not show function args unless you first run:
- # shopt -s extdebug
- # err-catch runs this for you.
-
- local -i argc_index=0 frame i start=${1:-1} max_indent=8 indent
- local source
- local extdebug=false
- if [[ $(shopt -p extdebug) == *-s* ]]; then
- extdebug=true
- fi
- for ((frame=0; frame < ${#FUNCNAME[@]}-1; frame++)); do
- argc=${BASH_ARGC[frame]}
- argc_index+=$argc
- ((frame < start)) && continue
- if (( ${#BASH_SOURCE[@]} > 1 )); then
- source="${BASH_SOURCE[frame+1]}:${BASH_LINENO[frame]}:"
- fi
- indent=$((frame-start+1))
- indent=$((indent < max_indent ? indent : max_indent))
- printf "%${indent}s↳%sin \`%s" '' "$source" "${FUNCNAME[frame]}"
- if $extdebug; then
- for ((i=argc_index-1; i >= argc_index-argc; i--)); do
- printf " %s" "${BASH_ARGV[i]}"
- done
- fi
- echo \'
- done
-}
-
-err-catch() {
- # help: on errors: print stack trace and exit
- #
- # You can set "${_errcatch_cleanup[@]}" to a command and it will run before exiting.
- # This function depends on err-bash-trace.
-
- set -E; shopt -s extdebug
- _err-trap() {
- err=$?
- exec >&2
- set +x
- echo "${BASH_SOURCE[1]}:${BASH_LINENO[0]}:in \`$BASH_COMMAND' returned $err"
- # err trap does not work within an error trap, the following line:
- err-bash-trace 2; set -e
- "${_errcatch_cleanup[@]:-:}" # note :-: is to be compatible with set -u
- echo "$0: exiting with code $err"
- exit $err
- }
- trap _err-trap ERR
- set -o pipefail
-}
-
-err-exit() {
- # usage: err-exit [EXIT_CODE] [MESSAGE]
- # help: exit and print stack trace.
- #
- # Use this instead of the exit command to be more informative. default
- # EXIT_CODE is 1. If only one of EXIT_CODE and MESSAGE is given,
- # we consider it to be an exit code if it is a number.
- # This function depends on err-bash-trace.
-
- exec >&2
- code=1
- if [[ "$*" ]]; then
- if [[ ${1/[^0-9]/} == "$1" ]]; then
- code=$1
- if [[ $2 ]]; then
- printf '%s\n' "$2"
- fi
- else
- printf '%s\n' "$0: $1"
- fi
- fi
- echo "${BASH_SOURCE[1]}:${BASH_LINENO[0]}"
- err-bash-trace 2
- echo "$0: exiting with code $code"
- exit $err
-}
-
-err-catch
diff --git a/subprojects/spdx/spdx b/subprojects/spdx/spdx
deleted file mode 100755
index eb4c76f..0000000
--- a/subprojects/spdx/spdx
+++ /dev/null
@@ -1,81 +0,0 @@
-#!/usr/bin/env bash
-# This file is part of SPDX-FSD
-# Copyright (C) 2018 David Hedlund
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-
-# http://www.apache.org/licenses/LICENSE-2.0
-
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-scriptsrc=$(readlink -f -- "${BASH_SOURCE[0]}")
-run_path=$(dirname "${scriptsrc}" || echo .)
-filename=$(basename "$0");
-
-source "$run_path/err"
-
-rm -fr "$run_path/build"
-mkdir -p build/json/licenses build/wiki
-
-cd build/json/ || exit
-
-
-wget -q --show-progress "https://raw.githubusercontent.com/spdx/license-list-data/master/json/licenses.json" -O licenses.json
-
-function build_wiki {
-
- license_file="licenses/$(jq -r .licenses[$entry].licenseId licenses.json).json"
- redirect_full_name="$(jq -r .licenses[$entry].name licenses.json | sed "s|w/|with |g; s|/|+|g;").wiki"
- wget -q --show-progress "$(jq -r .licenses[$entry].detailsUrl licenses.json)" -P licenses/
-
- echo "{{license
-|Name=$(jq -r .licenses[$entry].name licenses.json)
-|Short name=$(jq -r .licenses[$entry].licenseId licenses.json)
-|URL=$(jq -r .licenses[$entry].detailsUrl licenses.json)
-|Comment=$(jq -r .licenseComments "$license_file")
-|Full text=$(jq -r .licenseText "$license_file")
-|See also=$(jq -r .licenses[$entry].seeAlso[] licenses.json)
-}}
-
-[[Category:$freedom license]]
-[[Category:SPDX short identifier]]
-" > "$run_path/build/wiki/$(jq -r .licenses[$entry].licenseId licenses.json).wiki"
-
- echo "#REDIRECT [[License:$(jq -r .licenses[$entry].licenseId licenses.json)]]
-
-[[Category:$freedom license full name]]
-[[Category:SPDX full name]]
-" > "$run_path/build/wiki/$redirect_full_name"
-
-}
-
-
- ######################################################################
- # Start loop
-
- # Add false "isFsfLibre" value - https://github.com/spdx/spdx-spec/issues/93
- # I'd like to figure out licenses that are classified as nonfree by the FSF so this issue is still relevant so I can use something like:
- # if [ "$(jq -r ".licenses[$entry].isFsfLibre" licenses.json)" == "false" ]; then echo "Nonfree"; fi
-
- for entry in $(jq -r .licenses[].referenceNumber licenses.json); do
-
- if [ "$(jq -r ".licenses[$entry].isFsfLibre" licenses.json)" == "true" ]; then
-
- freedom="Free"
- build_wiki
-
- # Code that will be useful once the "false" values has been added, see above notice:
- # elif [ "$(jq -r ".licenses[$entry] | select(.isFsfLibre = null) | .isFsfLibre" licenses.json)" == "null" ]; then
-
- # printf "Unknown: "
- # jq -r .licenses[$entry].name licenses.json
-
- fi
-
- done